@mixin variant($name, $color) {
  &.rui-menu-item--#{$name} {
    color: var(--state-color-#{$color});

    &:hover {
      color: var(--state-color-#{$color}--hover);
    }

    &:active {
      color: var(--state-color-#{$color}--active);
    }
  }
}

.rui-menu-item {
  display: flex;
  width: 100%;
  min-width: 10rem;
  height: var(--menu-item-height);
  align-items: center;
  padding: var(--spacer-small) var(--spacer-default);
  background: var(--background-color);
  color: var(--foreground-color);
  gap: var(--spacer-default);
  text-decoration: none;
  white-space: nowrap;

  &:hover {
    background-color: var(--component-content-background);
  }

  &:visited,
  &:hover {
    color: var(--foreground-color);
  }

  &--active {
    background-color: var(--component-content-background-alt);
  }

  a.rui-menu-item,
  button.rui-menu-item{
    cursor: pointer;
  }

  @include variant('destructive', 'red');
  @include variant('creative', 'blue');
  @include variant('helper', 'blue');
  @include variant('recorder', 'green');
  @include variant('canceling', 'orange');
}
